Katello - Bug #7093

Hammer remove-sync-plan adds sync-plan instead of removing it
08/14/2014 12:40 PM - Adam Price

Status: Closed
Priority: High
Assignee: Adam Price
Category: Hammer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1121136 Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/222
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1121136
Description of problem:

1) afaik, product can have at most one syncplan assigned to itself

2) therefore | should be able to "hammer -d -v -u admin -p changeme product remove-sync-plan --id='95" to remove any asociated
syncplan

3) in reality, error "(option '--sync_plan_id' is required)" is returned

4) if | supply valid sync-plan-id it is not removed, but set as the products sync-plan

i.e: hammer -d -v -u admin -p changeme product remove-sync-plan --id='95' --sync-plan-id='14'
actually sends:

[ INFO 2014-07-18 08:49:11 API] PUT /katello/api/products/95

[DEBUG 2014-07-18 08:49:11 API] Params: {

"sync_plan_id" => "14"

}

Associated revisions

Revision 617e3d11 - 08/15/2014 10:16 AM - Adam Price
fixes #7093 - properly remove sync-plan from a product, BZ 1121136

Revision d51740e6 - 08/15/2014 10:37 AM - Adam Price

Merge pull request #222 from komidore64/rmi7093-remove-sync-plan-broken

fixes #7093 - properly remove sync-plan from a product, BZ 1121136

History

#1 - 08/14/2014 03:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/hammer-cli-katello/pull/222 added
- Pull request deleted ()

#2 - 08/15/2014 11:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1121136

Applied in changeset hammer-cli-katello|6f7e3d1178dd69285c78b3fa8c924947edc7100c.

#3 - 08/15/2014 02:15 PM - Eric Helms
- Triaged changed from No to Yes

#4 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field _release set to 13
